import List from './components/List.vue';
import Timestamp from './components/Timestamp.vue';
export const enum RecordSetParamsType {
	Timestamp = 'timestamp',
	List = 'list',
}

export type TimestampParam = {
	id: string;
	title: string;
	type: RecordSetParamsType.Timestamp;
	value: string;
};

export type ListParamListItem = {
	title: string;
	value: string;
};
export type ListParam = {
	id: string;
	title: string;
	type: RecordSetParamsType.List;
	value: string;
	list: ListParamListItem[];
};

export type RecordSetParamsItem = TimestampParam | ListParam;
export type RecordSet = {
	params?: RecordSetParamsItem[];
} & Record<string, any>;

export const recordSetMapCom = {
	[RecordSetParamsType.List]: List,
	[RecordSetParamsType.Timestamp]: Timestamp,
};
